// Additions that work in both UIKit and AppKit

#if TARGET_OS_IPHONE
#define TheViewClass UIView
#import <UIKit/UIKit.h>
#else
#define TheViewClass NSView
#import <AppKit/AppKit.h>
#endif


#pragma mark -------------------------------------------------------------------------------------------------------------------

@interface TheViewClass (UIAdditions)

@property (readonly) float width;
@property (readonly) float height;
@property (readonly) float x;
@property (readonly) float y;

@end