#import "MAAttachedWindow.h"

/*
 	An icon which displays a message when rolled over.
 	Create an NSImageView in IB, change its class to this once, then attach a text field containing the message.
 
 	Probably doesn't handle windows that resize!
 */
@interface HelpIconWithRolloverMessage : NSImageView {
	IBOutlet NSTextField *textFieldWithMessage;
	MAAttachedWindow *helpWindow;
}
@property (retain) MAAttachedWindow *helpWindow;
@property (nonatomic, retain) NSTextField *textFieldWithMessage;

@end
