#import <Cocoa/Cocoa.h>

@interface PasswordController : NSWindowController {
	NSString *password;
	BOOL remember;
	NSString *title;
	NSString *text;
	BasicBlock onConfirm;
	BasicBlock onCancel;
}

@property (nonatomic, retain) NSString *title;
@property (nonatomic, retain) NSString *text;
@property (nonatomic, retain) NSString *password;
@property (nonatomic, copy) BasicBlock onConfirm;
@property (nonatomic, copy) BasicBlock onCancel;

@property (nonatomic, assign) BOOL remember;

- (void) show;
- (IBAction) didConfirm: (id)s;
- (IBAction) didCancel: (id)s;

@end
