#import "Readable.h"

@interface BigEndianReader : NSObject {
	NSObject<Readable> *input;
}

@property (retain) NSObject<Readable> *input;

+ (BigEndianReader *) withInput:(NSObject <Readable> *) inp;
- initWithInput:(NSObject<Readable>*) input;

- (BOOL) readBool;
- (UInt16) read16;
- (UInt32) read32;
- (NSString*) readString;

@end
