
@interface FileUpload : NSObject {
	NSString *tempFile;
	NSFileHandle *fh;
}

- (void) addField:(NSString*) name value:(NSString*) value;
- (void) addFile:(NSString*) path fieldName:(NSString*) fieldName;
- (void) addFile:(NSString*) path fileName:(NSString*) fileName fieldName:(NSString*) fieldName;
- (void) addFileData:(NSData*) data fileName:(NSString*) fileName fieldName:(NSString*) fieldName;
- (void) applyToRequest:(NSMutableURLRequest*) request;

@end
