#import <Cocoa/Cocoa.h>

@interface NSPropertyListSerialization (ARExt)

+ (NSDictionary*) propertyListFromFile:(NSString *)path;
+ (NSDictionary*) propertyListFromData:(NSData*) data;
+ (NSMutableDictionary*) mutablePropertyListFromFile:(NSString *)path;
+ (NSMutableDictionary*) mutablePropertyListFromData:(NSData*) data;

+ (BOOL) writePropertyList:(id) plist toFile:(NSString *)path;
+ (NSData*) dataFromPropertyList:(id) plist;

@end
