/*
 Excellently, these can be called on classes too, eg:
 Class c = [obj class];
 ...
 [c selectorNames];
 */
@interface NSObject (ReflectionAdditions)

// Selectors from this class and all superclasses, but none from NSObject
- (NSArray*) selectorNames;

// Just the ones declared in this class (not superclasses)
- (NSArray*) selectorNamesDeclared;

@end
