#import <Foundation/Foundation.h>
#import <objc/runtime.h>

@interface Property : NSObject {
	objc_property_t property;
}

@property (assign) objc_property_t property;
@property (readonly) NSString* name;
@property (readonly) NSString *attributes;
@property (readonly) BOOL readonly;
@property (readonly) BOOL dynamic;
@property (readonly) NSString *objectiveCType;
@end


@interface Reflector : NSObject {
	NSMutableDictionary *propertiesByName;
}
@property (retain) NSMutableDictionary *propertiesByName;
@property (readonly) NSArray *properties;

+ (Reflector*) reflectorWithClass:(Class) klass;
- initWithClass:(Class) klass;
- initWithClass:(Class) klass protocol:(Protocol*) protocol;

@end
