package com.flyingmac.gwt.nu.dialog.web;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.DataResource;

public interface DialogResources extends ClientBundle {

    @Source("dialog.css")
    @CssResource.NotStrict /* don't have to use only obfuscated class names */
    DialogCss dialogCss();

    @Source("titleBar.png")
    DataResource titleBar();

    public interface DialogCss extends CssResource {
        double titleHeight();

        double buttonsHeight();

        double messageHeight();

        double promptHeight();
    }

    public static final DialogResources INSTANCE = (DialogResources) GWT.create(DialogResources.class);
}
